package com.example.pap_teste.models;

public class Restaurant {
    private String name;
    private String category;
    private String email;
    private boolean available;
    private String logoUrl;

    // No-argument constructor required for Firebase
    public Restaurant() {
    }

    public Restaurant(String name, String category, String email, boolean available) {
        this.name = name;
        this.category = category;
        this.email = email;
        this.available = available;
    }

    public Restaurant(String name, String category, String email, boolean available, String logoUrl) {
        this.name = name;
        this.category = category;
        this.email = email;
        this.available = available;
        this.logoUrl = logoUrl;
    }

    public String getName() { return name; }
    public String getCategory() { return category; }
    public String getEmail() { return email; }
    public boolean isAvailable() { return available; }
    public String getLogoUrl() { return logoUrl; }

    public void setName(String name) { this.name = name; }
    public void setCategory(String category) { this.category = category; }
    public void setEmail(String email) { this.email = email; }
    public void setAvailable(boolean available) { this.available = available; }
    public void setLogoUrl(String logoUrl) { this.logoUrl = logoUrl; }
}
